Subject: [bug#66823] [PATCH gnome-team v5 2/6] [WIP] gnu: feedbackd: Update to 0.2.1.

From: Maxim Cournoyer <[email-masked]>
Date: Tue, 07 Nov 2023 10:45:56 -0500

Hi Liliana,

Liliana Marie Prikler <[email-masked]> writes:

> Am Dienstag, dem 31.10.2023 um 20:34 +0100 schrieb Vivien Kraus:
>> * gnu/packages/gnome.scm (feedbackd): Update to 0.2.1.
>> (inputs): Add gmobile.
>> * gnu/packages/patches/feedbackd-use-system-gmobile.patch: New file.
>> * gnu/packages/gnome.scm (feedbackd) [patches]: Use it here.
>> * gnu/local.mk (dist_patch_DATA): Register it here.
>> * gnu/packages/gnome.scm (feedbackd) [snippet]: Remove the gmobile
>> submodule.
>> 
>> Change-Id: I06521c1673efb6aea1d163410fdf3d0206b57d8a
>> ---
> Reworded locally to
>
> * gnu/packages/patches/feedbackd-use-system-gmobile.patch: New file.
> * gnu/local.mk (dist_patch_DATA): Register it here.
> * gnu/packages/gnome.scm (feedbackd): Update to 0.2.1.
> [origin]<patches>: Add “feedbackd-use-system-gmobile.patch”.
> <snippet>: Remove the gmobile submodule.
> [inputs]: Add gmobile.
>
> IMHO it's not a hard requirement that you submit this upstream before
> pushing, so take your time with the account.  That being said, I will
> need to rely on CI for builds on this series, because I also have a
> local world rebuild for this weekend.

On that topic: I like to think that upstreamable changes *should* be
forwarded upstream; as the alternative is maintaining our own growing
set of custom patches forever, which is not sustainable.

-- 
Thanks,
Maxim